Bug 485162 - sensors not detected
sensors not detected
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 18:49 EST by Philip Creevy
Modified: 2009-02-12 04:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 04:12:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Creevy 2009-02-11 18:49:26 EST
Description of problem:
Sensors is not able to detect a driver for scx200_acb nor is it able to find a module to load. Adding the switch at boot time produces the following result.
Kernel command line: ro root=UUID=531ed7bf-5e80-4765-962a-bff9f5500a78 rhgb elevator=noop scx200_acb.base=0x810,0x820
Unknown boot option `scx200_acb.base=0x810,0x820': ignoring
(from dmesg)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results: no sensors detected


Expected results:


Additional info:

[root@music1 ~]# sensors
No sensors found!
Make sure you loaded all the kernel drivers you need.
Try sensors-detect to find out which these are.
System is a fitpc slim

[root@music1 ~]# sensors-detect
# sensors-detect revision 5249 (2008-05-11 22:56:25 +0200)

This program will help you determine which kernel modules you need
to load to use lm_sensors most effectively. It is generally safe
and recommended to accept the default answers to all questions,
unless you know what you're doing.

We can start with probing for (PCI) I2C or SMBus adapters.
Do you want to probe now? (YES/no): y
Probing for PCI bus adapters...
Use driver `scx200_acb' for device 0000:00:0f.0: CS5536 [Geode companion] ISA

We will now try to load each adapter module in turn.
Load `scx200_acb' (say NO if built into your kernel)? (YES/no): y
FATAL: Module scx200_acb not found.
Loading failed... skipping.
If you have undetectable or unsupported I2C/SMBus adapters, you can have
them scanned by manually loading the modules before running this script.

To continue, we need module `i2c-dev' to be loaded.
Do you want to load `i2c-dev' now? (YES/no): y
Module loaded successfully.

We are now going to do the I2C/SMBus adapter probings. Some chips may
be double detected; we choose the one with the highest confidence
value in that case.
If you found that the adapter hung after probing a certain address,
you can specify that address to remain unprobed.

Some chips are also accessible through the ISA I/O ports. We have to
write to arbitrary I/O ports to probe them. This is usually safe though.
Yes, you do have ISA I/O ports even if you do not have any ISA slots!
Do you want to scan the ISA I/O ports? (YES/no): y
Probing for `National Semiconductor LM78' at 0x290...       No
Probing for `National Semiconductor LM78-J' at 0x290...     No
Probing for `National Semiconductor LM79' at 0x290...       No
Probing for `Winbond W83781D' at 0x290...                   No
Probing for `Winbond W83782D' at 0x290...                   No
Probing for `IPMI BMC KCS' at 0xca0...                      No
Probing for `IPMI BMC SMIC' at 0xca8...                     No

Some Super I/O chips may also contain sensors. We have to write to
standard I/O ports to probe them. This is usually safe.
Do you want to scan for Super I/O sensors? (YES/no): y
Probing for Super-I/O at 0x2e/0x2f
Trying family `National Semiconductor'...                   No
Trying family `SMSC'...                                     No
Trying family `VIA/Winbond/Fintek'...                       No
Trying family `ITE'...                                      No
Probing for Super-I/O at 0x4e/0x4f
Trying family `National Semiconductor'...                   No
Trying family `SMSC'...                                     No
Trying family `VIA/Winbond/Fintek'...                       No
Trying family `ITE'...                                      No

Some south bridges, CPUs or memory controllers may also contain
embedded sensors. Do you want to scan for them? (YES/no): y
Silicon Integrated Systems SIS5595...                       No
VIA VT82C686 Integrated Sensors...                          No
VIA VT8231 Integrated Sensors...                            No
AMD K8 thermal sensors...                                   No
AMD K10 thermal sensors...                                  No
Intel Core family thermal sensor...                         No
Intel AMB FB-DIMM thermal sensor...                         No

Sorry, no sensors were detected.
Either your sensors are not supported, or they are connected to an
I2C or SMBus adapter that is not supported. See
http://www.lm-sensors.org/wiki/FAQ/Chapter3 for further information.
If you find out what chips are on your board, check
http://www.lm-sensors.org/wiki/Devices for driver status.
[root@music1 ~]# 


[root@music1 ~]# uname -a
Linux music1 2.6.27.5-117.fc10.i686 #1 SMP Tue Nov 18 12:19:59 EST 2008 i586 i586 i386 GNU/Linux

[root@music1 ~]# lshw
music1                    
    description: Computer
    product: AMD "CM-iGLX" Geode LX/CS5536
    vendor: CompuLab
    version: Ver 1.0
    serial: No System Serial Number
    width: 32 bits
    capabilities: smbios-2.3 dmi-2.1
    configuration: boot=normal
  *-core
       description: Motherboard
       product: CM-iGLX Platform
       vendor: AMD
       physical id: 0
       version: Board Revision 1.0
       serial: No Board Serial Number
     *-firmware
          description: BIOS
          vendor: General Software, Inc.
          physical id: 0
          version: Version 5.2 (09/15/2008)
          size: 128KiB
          capacity: 448KiB
          capabilities: isa pci apm upgrade shadowing cdboot bootselect socketedrom int13floppy360 int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer int10video acpi agp
     *-cpu
          description: CPU
          product: Geode(TM) Integrated Processor by AMD PCS
          vendor: Advanced Micro Devices [AMD]
          physical id: 4
          bus info: cpu@0
          version: 5.10.2
          serial: No Serial#
          slot: No Socket
          size: 500MHz
          width: 32 bits
          clock: 33MHz
          capabilities: fpu fpu_exception wp de pse tsc msr cx8 pge cmov clflush mmx mmxext 3dnowext 3dnow up
        *-cache:0
             description: L1 cache
             physical id: 9f
             slot: Processor L1 Cache
             size: 128KiB
             capabilities: internal write-back
        *-cache:1
             description: L2 cache
             physical id: a0
             slot: Processor L2 Cache
             size: 128KiB
             capacity: 512KiB
             capabilities: internal write-back
     *-memory
          description: System Memory
          physical id: bf
          slot: System board or motherboard
          size: 491MiB
        *-bank:0
             description: [empty]
             product: No Device Part Number
             vendor: No Device Manufacturer
             physical id: 0
             serial: No Device Serial Number
             slot: No Device Location
        *-bank:1
             description: [empty]
             product: No Device Part Number
             vendor: No Device Manufacturer
             physical id: 1
             serial: No Device Serial Number
             slot: No Device Location
     *-pci
          description: Host bridge
          product: CS5536 [Geode companion] Host Bridge
          vendor: Advanced Micro Devices [AMD]
          physical id: 100
          bus info: pci@0000:00:01.0
          version: 33
          width: 32 bits
          clock: 66MHz
          configuration: latency=248
        *-display UNCLAIMED
             description: VGA compatible controller
             product: Geode LX Video
             vendor: Advanced Micro Devices [AMD]
             physical id: 1.1
             bus info: pci@0000:00:01.1
             version: 00
             width: 32 bits
             clock: 66MHz
             capabilities: vga_controller
             configuration: latency=0
        *-generic
             description: Entertainment encryption device
             product: Geode LX AES Security Block
             vendor: Advanced Micro Devices [AMD]
             physical id: 1.2
             bus info: pci@0000:00:01.2
             version: 00
             width: 32 bits
             clock: 66MHz
             capabilities: bus_master
             configuration: driver=Geode LX AES latency=0 module=geode_aes
        *-network
             description: Ethernet interface
             product: RTL-8139/8139C/8139C+
             vendor: Realtek Semiconductor Co., Ltd.
             physical id: d
             bus info: pci@0000:00:0d.0
             logical name: eth0
             version: 10
             serial: 00:01:c0:04:9c:b1
             size: 100MB/s
             capacity: 100MB/s
             width: 32 bits
             clock: 33MHz
             capabilities: pm bus_master cap_list ethernet physical tp mii 10bt 10bt-fd 100bt 100bt-fd autonegotiation
             configuration: autonegotiation=on broadcast=yes driver=8139too driverversion=0.9.28 duplex=full ip=192.168.1.191 latency=64 link=yes maxlatency=64 mingnt=32 module=8139too multicast=yes port=MII speed=100MB/s
        *-isa
             description: ISA bridge
             product: CS5536 [Geode companion] ISA
             vendor: Advanced Micro Devices [AMD]
             physical id: f
             bus info: pci@0000:00:0f.0
             version: 03
             width: 32 bits
             clock: 66MHz
             capabilities: isa
             configuration: latency=64
        *-ide
             description: IDE interface
             product: CS5536 [Geode companion] IDE
             vendor: Advanced Micro Devices [AMD]
             physical id: f.2
             bus info: pci@0000:00:0f.2
             logical name: scsi0
             version: 01
             width: 32 bits
             clock: 66MHz
             capabilities: ide bus_master emulated
             configuration: driver=pata_cs5536 latency=0 module=pata_cs5536
           *-disk
                description: ATA Disk
                product: TRANSCEND
                physical id: 0.0.0
                bus info: scsi@0:0.0.0
                logical name: /dev/sda
                version: 2007
                serial: 20080705    0000AA12
                size: 7647MiB (8019MB)
                capabilities: partitioned partitioned:dos
                configuration: ansiversion=5 signature=001c2022
              *-volume
                   description: EXT3 volume
                   vendor: Linux
                   physical id: 1
                   bus info: scsi@0:0.0.0,1
                   logical name: /dev/sda1
                   logical name: /
                   version: 1.0
                   serial: 531ed7bf-5e80-4765-962a-bff9f5500a78
                   size: 7640MiB
                   capacity: 7640MiB
                   capabilities: primary bootable journaled extended_attributes large_files huge_files recover ext3 ext2 initialized
                   configuration: created=2008-11-19 19:48:44 filesystem=ext3 label=/12 modified=2009-02-11 14:59:58 mount.fstype=ext2 mount.options=rw,noatime,nodiratime,errors=continue,user_xattr,acl mounted=2009-02-11 14:59:58 state=mounted
        *-multimedia
             description: Multimedia audio controller
             product: CS5536 [Geode companion] Audio
             vendor: Advanced Micro Devices [AMD]
             physical id: f.3
             bus info: pci@0000:00:0f.3
             version: 01
             width: 32 bits
             clock: 66MHz
             capabilities: bus_master
             configuration: driver=cs5535audio latency=0 module=snd_cs5535audio
        *-usb:0
             description: USB Controller
             product: CS5536 [Geode companion] OHC
             vendor: Advanced Micro Devices [AMD]
             physical id: f.4
             bus info: pci@0000:00:0f.4
             version: 02
             width: 32 bits
             clock: 66MHz
             capabilities: ohci bus_master
             configuration: driver=ohci_hcd latency=0 module=ohci_hcd
           *-usbhost
                product: OHCI Host Controller
                vendor: Linux 2.6.27.5-117.fc10.i686 ohci_hcd
                physical id: 1
                bus info: usb@2
                logical name: /dev/usb2
                version: 2.06
                capabilities: usb-1.10
                configuration: driver=hub slots=4 speed=12.0MB/s
              *-usb:0
                   description: Mouse
                   product: Optical Mouse
                   vendor: MosArt
                   physical id: 1
                   bus info: usb@2:1
                   version: 0.00
                   capabilities: usb-1.10
                   configuration: driver=usbhid maxpower=100mA speed=1.5MB/s
              *-usb:1
                   description: Keyboard
                   product: SCISSORS Keyboard
                   physical id: 2
                   bus info: usb@2:2
                   version: 1.03
                   capabilities: usb-1.10
                   configuration: driver=usbhid maxpower=100mA speed=1.5MB/s
              *-usb:2
                   description: Generic USB device
                   product: USB-Serial Controller
                   vendor: Prolific Technology Inc.
                   physical id: 3
                   bus info: usb@2:3
                   version: 3.00
                   capabilities: usb-1.10
                   configuration: driver=pl2303 maxpower=100mA speed=12.0MB/s
        *-usb:1
             description: USB Controller
             product: CS5536 [Geode companion] EHC
             vendor: Advanced Micro Devices [AMD]
             physical id: f.5
             bus info: pci@0000:00:0f.5
             version: 02
             width: 32 bits
             clock: 66MHz
             capabilities: ehci bus_master
             configuration: driver=ehci_hcd latency=0 module=ehci_hcd
           *-usbhost
                product: EHCI Host Controller
                vendor: Linux 2.6.27.5-117.fc10.i686 ehci_hcd
                physical id: 1
                bus info: usb@1
                logical name: /dev/usb1
                version: 2.06
                capabilities: usb-2.00
                configuration: driver=hub slots=4 speed=480.0MB/s
              *-usb
                   description: Generic USB device
                   product: 802.11 bg WLAN
                   vendor: Ralink
                   physical id: 4
                   bus info: usb@1:4
                   version: 0.01
                   capabilities: usb-2.00
                   configuration: driver=rt73usb maxpower=300mA speed=480.0MB/s
        *-usb:2 UNCLAIMED
             description: USB Controller
             product: CS5536 [Geode companion] UDC
             vendor: Advanced Micro Devices [AMD]
             physical id: f.6
             bus info: pci@0000:00:0f.6
             version: 02
             width: 32 bits
             clock: 66MHz
             capabilities: usb_device bus_master
             configuration: latency=0
  *-network:0 DISABLED
       description: Wireless interface
       physical id: 1
       logical name: wlan0
       serial: 00:0d:f0:5a:27:ef
       capabilities: ethernet physical wireless
       configuration: broadcast=yes multicast=yes wireless=IEEE 802.11bg
  *-network:1
       description: Ethernet interface
       physical id: 2
       logical name: pan0
       serial: fa:d6:3c:d7:15:0e
       capabilities: ethernet physical
       configuration: broadcast=yes driver=bridge driverversion=2.3 firmware=N/A link=yes multicast=yes
[root@music1 ~]#
Comment 1 Frank Murphy 2009-02-12 02:44:02 EST
Maybe useful:
http://lxr.free-electrons.com/source/drivers/i2c/busses/scx200_acb.c
Comment 2 Hans de Goede 2009-02-12 04:12:33 EST
This is not an lm_sensors issue, but a kernel issue. The kernel lacks the scx200_acb driver. I've just committed changes to the rawhide kernel config to enable the  scx200_acb driver with the next kernel build.

I think this is pretty safe, but still I consider it to risky to backport to the kernels for the released versions (and I wonder if they have the driver at all).

So I'm closing this with a resolution of rawhide.

Note You need to log in before you can comment on or make changes to this bug.